---
name: Quest suggestion
about: Suggest a new question to ask the user

---

<!-- 
Please read the guidelines for new quest suggestions before posting one: 
https://github.com/Helium314/SCEE/blob/modified/QUEST_GUIDELINES.md

Also please search existing issues (both open and closed) to see if such quest was already suggested before.

Attaching screenshots / videos:
Large images / videos can be very disturbing when reading, so please avoid attaching unnecessary screenshots and videos.
If you think they are needed, reduce the size or use thumbnails to keep the issue nicely readable.
-->

### General
Affected tag(s) to be modified/added: [](https://wiki.openstreetmap.org/wiki/Key:)
Question asked: **Is there an example tag on item XY?**

<!-- If the answer is not obvious, please add a short explanation below each item. -->
### Checklist
Checklist for quest suggestions (see [guidelines](https://github.com/Helium314/SCEE/blob/modified/QUEST_GUIDELINES.md)):
- [ ] 🚧 To be added tag is established and has a useful purpose
- [ ] 🤔 Any answer the user can give should have an equivalent tagging (SCEE quests may not be answerable in all cases, but please keep this rare)
- [ ] 🐿️ A survey is necessary (may require knowledge of the subject, though easy answering for everyone is preferred)
- [ ] 💤 Not an overwhelming percentage of quests have the same answer (No spam)
- [ ] 🕓 Applies to a reasonable number of map data (Worth the effort)

<!--
All of the above should be fulfilled. 
If you are not sure about how one condition applies to your suggestion or you have (very) strong reasons that a condition may not needed to be satisfied in your case, just note that down. Someone else may come up with some ideas.
-->

### Ideas for implementation

<!-- If you have any idea for how elements should be selected, add it here. -->
**Element selection:** 

<!-- If you have any idea whether metadata per country is needed, add it here. If you know where to get this data from, mention it here too -->
**Metadata needed:** 

<!-- If you have any idea on how the UI (the form appearing when the quest is asked) should look like.
You can use any way to propose a UI. Feel free to include a mockup. 
Do include all answer possibilities you consider for that quest. -->
**Proposed UI:**
